"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.litFontawesome = void 0;
const lit_html_1 = require("lit-html");
function litFontawesome(definition, { className, color } = {}) {
    return lit_html_1.svg `
        <svg
            aria-hidden="true"
            focusable="false"
            data-prefix="${definition.prefix}"
            data-icon="${definition.iconName}"
            role="img"
            xmlns="http://www.w3.org/2000/svg"
            viewBox="0 0 ${definition.icon[0]} ${definition.icon[1]}"
            class="${className || ''} ${definition.prefix}_${definition.iconName} fa-${definition.iconName}"
        >
            <g fill="${color || 'currentColor'}">
                ${(Array.isArray(definition.icon[4]) ? definition.icon[4] : [definition.icon[4]]).map((icon) => lit_html_1.svg `<path d="${icon}"></path>`)}
            </g>
        </svg>
    `;
}
exports.litFontawesome = litFontawesome;
//# sourceMappingURL=litFontawesome.js.map